package config

type Config struct {
	Env         string `env:"ENV" env-default:"prod"`
	Pandoc      string `env:"PANDOC" required:"true"`
	Address     string `env:"ADDRESS" required:"true"`
	PostgresDSN string `env:"POSTGRES_DSN" required:"true"`

	RabbitDSN    string `env:"RABBIT_DSN" required:"true"`
	InstanceName string `env:"INSTANCE_NAME" required:"true"`
	RQueueName   string `env:"R_QUEUE_NAME" required:"true"`
	TQueueName   string `env:"T_QUEUE_NAME" required:"true"`
	NQueueName   string `env:"N_QUEUE_NAME" required:"true"`
}
